"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __values = (this && this.__values) || function (o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var GherkinDocument_1 = __importDefault(require("../gherkin/GherkinDocument"));
var GherkinDocumentSideNav_1 = __importDefault(require("./GherkinDocumentSideNav"));
var styled_components_1 = __importDefault(require("styled-components"));
var ResultsLookupContext_1 = __importDefault(require("../../ResultsLookupContext"));
var ResultsLookupByLineContext_1 = __importDefault(require("../../ResultsLookupByLineContext"));
var R = require("ramda");
// https://webdevtrick.com/css-sidebar-menu/
var Body = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  font: 12px 'Open Sans', sans-serif;\n  color: #212121;\n  background: #eee;\n  overflow-x: hidden;\n"], ["\n  font: 12px 'Open Sans', sans-serif;\n  color: #212121;\n  background: #eee;\n  overflow-x: hidden;\n"])));
var Container = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  min-height: 100%;\n"], ["\n  display: flex;\n  min-height: 100%;\n"])));
var SwipeInput = styled_components_1.default.input(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  opacity: 0;\n"], ["\n  position: absolute;\n  opacity: 0;\n"])));
var Headings = styled_components_1.default.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  flex: 1;\n  padding: 80px 30px;\n  background: #eee;\n  box-shadow: 0 0 5px black;\n  transform: translate3d(0, 0, 0);\n  transition: transform 0.3s;\n\n  ", ":checked ~ & {\n    transform: translate3d(280px, 0px, 0px);\n  }\n"], ["\n  flex: 1;\n  padding: 80px 30px;\n  background: #eee;\n  box-shadow: 0 0 5px black;\n  transform: translate3d(0, 0, 0);\n  transition: transform 0.3s;\n\n  ", ":checked ~ & {\n    transform: translate3d(280px, 0px, 0px);\n  }\n"])), SwipeInput);
var Sidebar = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  transform: translate3d(-280px, 0px, 0px);\n  position: absolute;\n  width: 280px;\n  background: #263249;\n  left: 0;\n  height: 100%;\n  transition: all 0.3s;\n\n  ", ":checked ~ & {\n    transform: translate3d(0, 0, 0);\n  }\n"], ["\n  transform: translate3d(-280px, 0px, 0px);\n  position: absolute;\n  width: 280px;\n  background: #263249;\n  left: 0;\n  height: 100%;\n  transition: all 0.3s;\n\n  ", ":checked ~ & {\n    transform: translate3d(0, 0, 0);\n  }\n"])), SwipeInput);
var SwipeLabel = styled_components_1.default.label(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  position: absolute;\n  top: 30px;\n  left: 30px;\n  z-index: 1;\n  display: block;\n  width: 42px;\n  height: 42px;\n  font: 30px fontawesome;\n  text-align: center;\n  color: #333;\n  cursor: pointer;\n  transform: translate3d(0, 0, 0);\n  transition: transform 0.3s;\n\n  &:hover {\n    color: red;\n  }\n\n  &:checked {\n    display: block;\n  }\n\n  &:nth-child(2) {\n    display: none;\n  }\n\n  ", ":checked ~ & {\n    transform: translate3d(280px, 0, 0);\n  }\n\n  ", ":checked ~ &:nth-child(2) {\n    display: block;\n    transform: translate3d(280px, 0px, 0px);\n  }\n\n  ", ":checked ~ &:nth-child(3) {\n    display: none;\n  }\n"], ["\n  position: absolute;\n  top: 30px;\n  left: 30px;\n  z-index: 1;\n  display: block;\n  width: 42px;\n  height: 42px;\n  font: 30px fontawesome;\n  text-align: center;\n  color: #333;\n  cursor: pointer;\n  transform: translate3d(0, 0, 0);\n  transition: transform 0.3s;\n\n  &:hover {\n    color: red;\n  }\n\n  &:checked {\n    display: block;\n  }\n\n  &:nth-child(2) {\n    display: none;\n  }\n\n  ", ":checked ~ & {\n    transform: translate3d(280px, 0, 0);\n  }\n\n  ", ":checked ~ &:nth-child(2) {\n    display: block;\n    transform: translate3d(280px, 0px, 0px);\n  }\n\n  ", ":checked ~ &:nth-child(3) {\n    display: none;\n  }\n"])), SwipeInput, SwipeInput, SwipeInput);
var App = function (_a) {
    var gherkinDocuments = _a.gherkinDocuments, resultsLookup = _a.resultsLookup;
    // TODO: Don't assume there is always one document - there could be none!
    // We should start with an overview page anyway, with some stats and charts on it.
    var _b = __read(react_1.useState(gherkinDocuments[0].uri), 2), selectedUri = _b[0], setSelectedUri = _b[1];
    var gherkinDocumentByUri = toMap(gherkinDocuments);
    var selectGherkinDocument = function (selectionPath, selectionPathData) {
        setSelectedUri(selectionPath);
    };
    var resultsLookupByLine = R.curry(resultsLookup)(selectedUri);
    return (react_1.default.createElement(Body, null,
        react_1.default.createElement("link", { href: "https://netdna.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.css", rel: "stylesheet" }),
        react_1.default.createElement("link", { href: "https://fonts.googleapis.com/css?family=Open+Sans:300", rel: "stylesheet" }),
        react_1.default.createElement(Container, null,
            react_1.default.createElement(SwipeInput, { "data-function": "swipe", id: "swipe", type: "checkbox" }),
            react_1.default.createElement(SwipeLabel, { "data-function": "swipe", htmlFor: "swipe" }, "\uF057"),
            react_1.default.createElement(SwipeLabel, { "data-function": "swipe", htmlFor: "swipe" }, "\uF0C9"),
            react_1.default.createElement(Headings, null,
                react_1.default.createElement(ResultsLookupByLineContext_1.default.Provider, { value: resultsLookupByLine },
                    react_1.default.createElement(GherkinDocument_1.default, { gherkinDocument: gherkinDocumentByUri.get(selectedUri) }))),
            react_1.default.createElement(Sidebar, null,
                react_1.default.createElement(ResultsLookupContext_1.default.Provider, { value: resultsLookup },
                    react_1.default.createElement(GherkinDocumentSideNav_1.default, { gherkinDocuments: gherkinDocuments, selectedUri: selectedUri, onSelection: selectGherkinDocument }))))));
};
function toMap(gherkinDocuments) {
    var e_1, _a;
    var map = new Map();
    try {
        for (var gherkinDocuments_1 = __values(gherkinDocuments), gherkinDocuments_1_1 = gherkinDocuments_1.next(); !gherkinDocuments_1_1.done; gherkinDocuments_1_1 = gherkinDocuments_1.next()) {
            var gdoc = gherkinDocuments_1_1.value;
            map.set(gdoc.uri, gdoc);
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (gherkinDocuments_1_1 && !gherkinDocuments_1_1.done && (_a = gherkinDocuments_1.return)) _a.call(gherkinDocuments_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
    return map;
}
exports.default = App;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
//# sourceMappingURL=App.js.map