"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_sidenav_1 = require("react-sidenav");
var styled_components_1 = __importDefault(require("styled-components"));
var statusColor_1 = __importDefault(require("../gherkin/statusColor"));
var ResultsLookupContext_1 = __importDefault(require("../../ResultsLookupContext"));
var GherkinDocumentItemDiv = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  background-color: ", ";\n  padding: 8px 12px;\n  cursor: pointer;\n  :hover {\n    color: blue;\n  }\n"], ["\n  color: ",
    ";\n  background-color: ", ";\n  padding: 8px 12px;\n  cursor: pointer;\n  :hover {\n    color: blue;\n  }\n"])), function (props) {
    return props.selected ? 'blue' : 'inherit';
}, function (props) { return statusColor_1.default(props.status); });
var GherkinDocumentItem = function (_a) {
    var uri = _a.uri, children = _a.children;
    var nav = react_1.default.useContext(react_sidenav_1.NavContext);
    var resultsLookup = react_1.default.useContext(ResultsLookupContext_1.default);
    var testResult = resultsLookup(uri, null)[0];
    return (react_1.default.createElement(GherkinDocumentItemDiv, { selected: nav.selected, status: testResult.status }, children));
};
var GherkinDocumentSideNav = function (_a) {
    var gherkinDocuments = _a.gherkinDocuments, selectedUri = _a.selectedUri, onSelection = _a.onSelection;
    return (react_1.default.createElement(react_sidenav_1.SideNav, { defaultSelectedPath: selectedUri, onSelection: onSelection }, gherkinDocuments.map(function (gherkinDocument) { return (react_1.default.createElement(react_sidenav_1.Nav, { key: gherkinDocument.uri, id: gherkinDocument.uri },
        react_1.default.createElement(GherkinDocumentItem, { key: gherkinDocument.uri, uri: gherkinDocument.uri }, gherkinDocument.uri))); })));
};
exports.default = GherkinDocumentSideNav;
var templateObject_1;
//# sourceMappingURL=GherkinDocumentSideNav.js.map