"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var DataTable_1 = __importDefault(require("./DataTable"));
var Keyword_1 = __importDefault(require("./Keyword"));
var DocString_1 = __importDefault(require("./DocString"));
var styled_components_1 = __importDefault(require("styled-components"));
var statusColor_1 = __importDefault(require("./statusColor"));
var ResultsLookupByLineContext_1 = __importDefault(require("../../ResultsLookupByLineContext"));
var StepLi = styled_components_1.default.li(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n"], ["\n  background-color: ", ";\n"])), function (props) { return statusColor_1.default(props.status); });
var Step = function (_a) {
    var step = _a.step;
    var resultsLookup = react_1.default.useContext(ResultsLookupByLineContext_1.default);
    var testResults = resultsLookup(step.location.line);
    var status = testResults[0].status;
    return (react_1.default.createElement(StepLi, { status: status },
        react_1.default.createElement(Keyword_1.default, null, step.keyword),
        react_1.default.createElement("span", null, step.text),
        step.dataTable && react_1.default.createElement(DataTable_1.default, { dataTable: step.dataTable }),
        step.docString && react_1.default.createElement(DocString_1.default, { docString: step.docString })));
};
exports.default = Step;
var templateObject_1;
//# sourceMappingURL=Step.js.map