"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var makeResultsLookup_1 = __importDefault(require("./makeResultsLookup"));
function makeGherkinDocumentsAndResultsLookup(envelopes) {
    var gherkinDocuments = (envelopes.filter(function (message) { return message.gherkinDocument; })).map(function (message) { return message.gherkinDocument; });
    var pickles = envelopes.filter(function (message) { return message.pickle; }).map(function (message) { return message.pickle; });
    var testStepFinishedList = envelopes.filter(function (message) { return message.testStepFinished; }).map(function (message) { return message.testStepFinished; });
    var testCaseFinishedList = envelopes.filter(function (message) { return message.testCaseFinished; }).map(function (message) { return message.testCaseFinished; });
    var resultsLookup = makeResultsLookup_1.default(pickles, testStepFinishedList, testCaseFinishedList);
    return { gherkinDocuments: gherkinDocuments, resultsLookup: resultsLookup };
}
exports.default = makeGherkinDocumentsAndResultsLookup;
//# sourceMappingURL=makeGherkinDocumentsAndResultsLookup.js.map