"use strict";
var __values = (this && this.__values) || function (o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a function that can be used to look up results for a document uri
 * and an optional line number.
 *
 * @param pickles
 * @param testStepFinishedList
 * @param testCaseFinishedList
 */
function makeResultsLookup(pickles, testStepFinishedList, testCaseFinishedList) {
    var e_1, _a, e_2, _b, e_3, _c, e_4, _d, e_5, _e, e_6, _f, e_7, _g, e_8, _h;
    var finishedListByUriAndLine = new Map();
    var testCaseFinishedListByUri = new Map();
    var pickleById = new Map();
    try {
        for (var pickles_1 = __values(pickles), pickles_1_1 = pickles_1.next(); !pickles_1_1.done; pickles_1_1 = pickles_1.next()) {
            var pickle = pickles_1_1.value;
            var uri = pickle.uri;
            pickleById.set(pickle.id, pickle);
            testCaseFinishedListByUri.set(uri, []);
            try {
                for (var _j = (e_2 = void 0, __values(pickle.locations)), _k = _j.next(); !_k.done; _k = _j.next()) {
                    var location_1 = _k.value;
                    finishedListByUriAndLine.set(uri + ":" + location_1.line, []);
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_k && !_k.done && (_b = _j.return)) _b.call(_j);
                }
                finally { if (e_2) throw e_2.error; }
            }
            try {
                for (var _l = (e_3 = void 0, __values(pickle.steps)), _m = _l.next(); !_m.done; _m = _l.next()) {
                    var pickleStep = _m.value;
                    try {
                        for (var _o = (e_4 = void 0, __values(pickleStep.locations)), _p = _o.next(); !_p.done; _p = _o.next()) {
                            var location_2 = _p.value;
                            finishedListByUriAndLine.set(uri + ":" + location_2.line, []);
                        }
                    }
                    catch (e_4_1) { e_4 = { error: e_4_1 }; }
                    finally {
                        try {
                            if (_p && !_p.done && (_d = _o.return)) _d.call(_o);
                        }
                        finally { if (e_4) throw e_4.error; }
                    }
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_m && !_m.done && (_c = _l.return)) _c.call(_l);
                }
                finally { if (e_3) throw e_3.error; }
            }
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (pickles_1_1 && !pickles_1_1.done && (_a = pickles_1.return)) _a.call(pickles_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
    try {
        for (var testStepFinishedList_1 = __values(testStepFinishedList), testStepFinishedList_1_1 = testStepFinishedList_1.next(); !testStepFinishedList_1_1.done; testStepFinishedList_1_1 = testStepFinishedList_1.next()) {
            var testStepFinished = testStepFinishedList_1_1.value;
            var pickle = pickleById.get(testStepFinished.pickleId);
            var uri = pickle.uri;
            var pickleStep = pickle.steps[testStepFinished.index];
            try {
                for (var _q = (e_6 = void 0, __values(pickleStep.locations)), _r = _q.next(); !_r.done; _r = _q.next()) {
                    var location_3 = _r.value;
                    finishedListByUriAndLine.get(uri + ":" + location_3.line).push(testStepFinished);
                }
            }
            catch (e_6_1) { e_6 = { error: e_6_1 }; }
            finally {
                try {
                    if (_r && !_r.done && (_f = _q.return)) _f.call(_q);
                }
                finally { if (e_6) throw e_6.error; }
            }
        }
    }
    catch (e_5_1) { e_5 = { error: e_5_1 }; }
    finally {
        try {
            if (testStepFinishedList_1_1 && !testStepFinishedList_1_1.done && (_e = testStepFinishedList_1.return)) _e.call(testStepFinishedList_1);
        }
        finally { if (e_5) throw e_5.error; }
    }
    try {
        for (var testCaseFinishedList_1 = __values(testCaseFinishedList), testCaseFinishedList_1_1 = testCaseFinishedList_1.next(); !testCaseFinishedList_1_1.done; testCaseFinishedList_1_1 = testCaseFinishedList_1.next()) {
            var testCaseFinished = testCaseFinishedList_1_1.value;
            var pickle = pickleById.get(testCaseFinished.pickleId);
            var uri = pickle.uri;
            try {
                for (var _s = (e_8 = void 0, __values(pickle.locations)), _t = _s.next(); !_t.done; _t = _s.next()) {
                    var location_4 = _t.value;
                    finishedListByUriAndLine.get(uri + ":" + location_4.line).push(testCaseFinished);
                }
            }
            catch (e_8_1) { e_8 = { error: e_8_1 }; }
            finally {
                try {
                    if (_t && !_t.done && (_h = _s.return)) _h.call(_s);
                }
                finally { if (e_8) throw e_8.error; }
            }
            testCaseFinishedListByUri.get(uri).push(testCaseFinished);
        }
    }
    catch (e_7_1) { e_7 = { error: e_7_1 }; }
    finally {
        try {
            if (testCaseFinishedList_1_1 && !testCaseFinishedList_1_1.done && (_g = testCaseFinishedList_1.return)) _g.call(testCaseFinishedList_1);
        }
        finally { if (e_7) throw e_7.error; }
    }
    return function (queryUri, queryLine) {
        if (queryLine === null) {
            return testCaseFinishedListByUri.get(queryUri).sort(function (a, b) {
                return b.testResult.status.valueOf() - a.testResult.status.valueOf();
            }).map(function (testCaseFinished) { return testCaseFinished.testResult; });
        }
        return finishedListByUriAndLine.get(queryUri + ":" + queryLine).map(function (finished) { return finished.testResult; });
    };
}
exports.default = makeResultsLookup;
//# sourceMappingURL=makeResultsLookup.js.map