"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var cucumber_messages_1 = require("cucumber-messages");
var statuses_json_1 = __importDefault(require("../testdata/statuses.json"));
var assert_1 = __importDefault(require("assert"));
var makeResultsLookup_1 = __importDefault(require("../src/makeResultsLookup"));
var envelopes = statuses_json_1.default.map(function (e) { return cucumber_messages_1.messages.Envelope.fromObject(e); });
var pickles = envelopes
    .filter(function (m) { return m.pickle; })
    .map(function (m) { return m.pickle; });
var testStepFinishedList = envelopes
    .filter(function (m) { return m.testStepFinished; })
    .map(function (m) { return m.testStepFinished; });
var testCaseFinishedList = envelopes
    .filter(function (m) { return m.testCaseFinished; })
    .map(function (m) { return m.testCaseFinished; });
describe('resultsLookup', function () {
    it('finds results for a step', function () {
        var resultsLookup = makeResultsLookup_1.default(pickles, testStepFinishedList, testCaseFinishedList);
        var result = resultsLookup('testdata/statuses.feature', 9)[0];
        assert_1.default.strictEqual(result.status, cucumber_messages_1.messages.TestResult.Status.FAILED);
    });
    it('finds results for a scenario', function () {
        var resultsLookup = makeResultsLookup_1.default(pickles, testStepFinishedList, testCaseFinishedList);
        var result = resultsLookup('testdata/statuses.feature', 5)[0];
        assert_1.default.strictEqual(result.status, cucumber_messages_1.messages.TestResult.Status.FAILED);
    });
    it('finds results for a whole file', function () {
        var resultsLookup = makeResultsLookup_1.default(pickles, testStepFinishedList, testCaseFinishedList);
        var results = resultsLookup('testdata/statuses.feature', null);
        assert_1.default.strictEqual(results[0].status, cucumber_messages_1.messages.TestResult.Status.FAILED);
    });
});
//# sourceMappingURL=resultsLookupTest.js.map